Typedefs | Functions

# serpent.h File Reference

Go to the source code of this file.

## Typedefs
typedef struct _SerpentInfo | SerpentInfo
## Functions
WizardExport SerpentInfo * | AcquireSerpentInfo (void)
WizardExport SerpentInfo ** | DestroySerpentInfo (SerpentInfo *)
WizardExport unsigned int | GetSerpentBlocksize (const SerpentInfo *)
WizardExport void | DecipherSerpentBlock (SerpentInfo *, const unsigned char *, unsigned char *)
WizardExport void | EncipherSerpentBlock (SerpentInfo *, const unsigned char *, unsigned char *)
WizardExport void | SetSerpentKey (SerpentInfo *, const StringInfo *)

## Typedef Documentation

typedef struct _SerpentInfo SerpentInfo

## Function Documentation

WizardExport SerpentInfo* AcquireSerpentInfo | ( | void |  | ) |

WizardExport void DecipherSerpentBlock | ( | SerpentInfo * | ,
|  | const unsigned char * | ,
|  | unsigned char * |  |
| ) |  |  |

WizardExport SerpentInfo* * DestroySerpentInfo | ( | SerpentInfo * |  | ) |

References CipherDomain, GetWizardModule, LogWizardEvent(), RelinquishWizardMemory(), _SerpentInfo::signature, TraceEvent, WizardAssert, and WizardSignature.

Referenced by DestroyCipherInfo().

WizardExport void EncipherSerpentBlock | ( | SerpentInfo * | ,
|  | const unsigned char * | ,
|  | unsigned char * |  |
| ) |  |  |

WizardExport unsigned int GetSerpentBlocksize | ( | const SerpentInfo * |  | ) |

References _SerpentInfo::blocksize, CipherDomain, GetWizardModule, LogWizardEvent(), _SerpentInfo::signature, TraceEvent, WizardAssert, and WizardSignature.

Referenced by AcquireCipherInfo().

WizardExport void SetSerpentKey | ( | SerpentInfo * | ,
|  | const StringInfo * |  |
| ) |  |  |

References ChurnKey, CipherDomain, _SerpentInfo::crypt_key, EncipherSbox0, EncipherSbox1, EncipherSbox2, EncipherSbox3, EncipherSbox4, EncipherSbox5, EncipherSbox6, EncipherSbox7, GetStringInfoDatum(), GetStringInfoLength(), GetWizardModule, LoadKey, LogWizardEvent(), MaximumSerpentKeyLength, Min, Read32Bits, _SerpentInfo::signature, StoreKey, TraceEvent, WizardAssert, and WizardSignature.

Referenced by SetCipherKey().